Get
/api/v1/email-inbox.list
Gets Omnichannel email inbox list.
Permissions required:- manage-email-inbox
Changelog
| Version | Description |
|---|---|
| 9.0.0 | Removed the fields and query parameters. |
| 3.11.0-rc.0 | Added |
Header parameters
X-Auth-Token
stringRequired
The authToken of the authenticated user.
ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-Id
stringRequired
The userId of the authenticated user.
ExamplerbAXPnMktTFbNpwtJ
Query parameters
offset
integer
Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the official documentation to learn more.
Example50
sort
List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {"value": -1, "_id": 1}. Refer to the official documentation to learn more.
Example50
Responses
200
OK
Success
{
"emailInboxes": [
{
"_id": "60197e8ff82d6c83b96c53ff",
"active": false,
"name": "Rocket.Chat sample account",
"email": "info@rocket.chat",
"description": "",
"senderInfo": "",
"department": "GgYvrkAF63aeQmsh4",
"smtp": {
"server": "smtp.gmail.com",
"port": 465,
"username": "info@rocket.chat",
"password": "kkviepoenakbccwf",
"secure": true
},
"imap": {
"server": "imap.gmail.com",
"port": 993,
"username": "info@rocket.chat",
"password": "kkviepoenakbccwf",
"secure": true
},
"_createdAt": "2021-02-02T16:32:15.069Z",
"_updatedAt": "2021-09-06T17:43:49.257Z",
"_createdBy": {
"_id": "JxemcN9PDCdfzJeZr",
"username": "renato.becker"
}
}
],
"count": 1,
"offset": 0,
"total": 1,
"success": true
}object
emailInboxes
Array of object
object
_id
string
active
boolean
name
string
email
string
description
string
senderInfo
string
department
string
smtp
object
server
string
port
integer
username
string
password
string
secure
boolean
imap
object
server
string
port
integer
username
string
password
string
secure
boolean
_createdAt
string
_updatedAt
string
_createdBy
object
_id
string
username
string
count
integer
offset
integer
total
integer
success
boolean
401
Unauthorized
Authorization Error
{
"success": false,
"error": "You must be logged in to do this."
}object
success
boolean
error
string
403
Forbidden
Permission Error
{
"success": false,
"error": "User does not have the permissions required for this action",
"errorType": "error-forbidden"
}object
success
boolean
error
string
errorType
string